KDE 4.2 PyKDE API Reference

- KDE's Python API

# KLibrary Class Reference

`from PyKDE4.kdecore import *`

Inherits: QLibrary → QObject

## Detailed Description

\class KLibrary klibrary.h <KLibrary>

Thin wrapper around QLibrary; you should rarely use this directly, see KPluginLoader for higher-level loading of plugins. KLibrary adds kde3-factory and kde4-factory support to QLibrary (for the deprecated KLibLoader) KLibrary also searches libs in the kde search paths.

## Methods

| __init__ (self, QObject parent=0)
| __init__ (self, QString name, KComponentData cData=KGlobal.mainComponent(), QObject parent=0)
| __init__ (self, QString name, int verNum, KComponentData cData=KGlobal.mainComponent(), QObject parent=0)
KPluginFactory | factory (self, QString factoryname=0)
KLibrary.void_function_ptr | resolveFunction (self, QString name)
void | resolveSymbol (self, QString name)
| setFileName (self, QString name, KComponentData data=KGlobal.mainComponent())
bool | unload (self)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

__init__ | ( | self, |
|  | QString | name,
|  | KComponentData | cData=KGlobal.mainComponent(),
|  | QObject | parent=0
| ) |  |  |

__init__ | ( | self, |
|  | QString | name,
|  | int | verNum,
|  | KComponentData | cData=KGlobal.mainComponent(),
|  | QObject | parent=0
| ) |  |  |

KPluginFactory factory | ( | self, |
|  | QString | factoryname=0
| ) |  |  |

Returns the factory of the library.

Parameters:

  | factoryname | The postfix to the init_ symbol used to create the factory object. It corresponds to the first parameter to K_EXPORT_COMPONENT_FACTORY.

Returns:
  The factory of the library if there is any, otherwise 0

Deprecated:
  use KPluginLoader.factory

KLibrary.void_function_ptr resolveFunction | ( | self, |
|  | QString | name
| ) |  |  |

Looks up a symbol from the library. This is a very low level function that you usually don't want to use.

Parameters:

  | name | the name of the symbol to look up

Returns:
  the address of the symbol, or 0 if it does not exist

void resolveSymbol | ( | self, |
|  | QString | name
| ) |  |  |

Looks up a symbol from the library. This is a very low level function that you usually don't want to use.

Parameters:

  | name | the name of the symbol to look up

Returns:
  the address of the symbol, or 0 if it does not exist

setFileName | ( | self, |
|  | QString | name,
|  | KComponentData | data=KGlobal.mainComponent()
| ) |  |  |

bool unload | ( |  | self ) |